Skip to main content
GET
/
api
/
v1
/
monitors
List monitors for the authenticated org
curl --request GET \
  --url https://api.devhelm.io/api/v1/monitors \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": 123,
      "name": "<string>",
      "type": "HTTP",
      "config": {
        "hostname": "<string>",
        "recordTypes": [
          "A"
        ],
        "nameservers": [
          "<string>"
        ],
        "timeoutMs": 123,
        "totalTimeoutMs": 123
      },
      "frequencySeconds": 123,
      "enabled": true,
      "regions": [
        "<string>"
      ],
      "managedBy": "DASHBOARD",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "assertions": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "assertionType": "status_code",
          "config": {
            "type": "<string>",
            "substring": "<string>"
          },
          "severity": "fail"
        }
      ],
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organizationId": 123,
          "name": "<string>",
          "color": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "pingUrl": "<string>",
      "environment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>"
      },
      "auth": {
        "type": "<string>",
        "headerName": "<string>",
        "vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "incidentPolicy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "triggerRules": [
          {
            "type": "consecutive_failures",
            "scope": "per_region",
            "severity": "down",
            "count": 123,
            "windowMinutes": 123,
            "thresholdMs": 123,
            "aggregationType": "all_exceed"
          }
        ],
        "confirmation": {
          "type": "multi_region",
          "minRegionsFailing": 123,
          "maxWaitSeconds": 123
        },
        "recovery": {
          "consecutiveSuccesses": 123,
          "minRegionsPassing": 123,
          "cooldownMinutes": 123
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "monitorRegionCount": 123,
        "checkFrequencySeconds": 123
      },
      "alertChannelIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    }
  ],
  "hasNext": true,
  "hasPrev": true
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

enabled
boolean

Filter by enabled state

type
enum<string>

Filter by monitor type

Available options:
HTTP,
DNS,
MCP_SERVER,
TCP,
ICMP,
HEARTBEAT
managedBy
enum<string>

Filter by managed-by source

Available options:
DASHBOARD,
CLI,
TERRAFORM
tags
string

Filter by tag names, comma-separated (e.g. prod,critical)

Case-insensitive name search

environmentId
string<uuid>

Filter by environment ID

pageable
object
required

Response

200 - */*

OK

data
object[]
hasNext
boolean
hasPrev
boolean